#include <imsls.h>
#include <stdio.h>
int main()
{
   float pvalue, *aov, *varc, *ymeans, *ems;
   float y[] = {3.28, 3.09, 3.52, 3.48, 2.88, 2.80, 2.46, 2.44, 1.87,
      1.92, 2.19, 2.19, 2.77, 2.66, 3.74, 3.44, 2.55, 2.55, 3.78, 
      3.87, 4.07, 4.12, 3.31, 3.31
   };
   int n_levels[] = {4, 3, 2};
   char *aov_labels[] = {
      "degrees of freedom for model", "degrees of freedom for error",
      "total (corrected) degrees of freedom", 
      "sum of squares for model",  "sum of squares for error",
      "total (corrected) sum of squares",  "model mean square",
      "error mean square", "F-statistic", "p-value", 
      "R-squared (in percent)", "adjusted R-squared (in percent)",
      "est. standard deviation of within error", "overall mean of y",
      "coefficient of variation (in percent)"
   };
   char *ems_labels[] = {
      "Effect A and Error",    "Effect A and Effect B", 
      "Effect A and Effect A", "Effect B and Error", 
      "Effect B and Effect B", "Error and Error"
   };
   char *means_labels[] = {
      "Grand mean",   " A means 1",   " A means 2", 
      " A means 3",   " A means 4",   "AB means 1 1",
      "AB means 1 2", "AB means 1 3", "AB means 2 1",
      "AB means 2 2", "AB means 2 3", "AB means 3 1",
      "AB means 3 2", "AB means 3 3", "AB means 4 1",
      "AB means 4 2", "AB means 4 3"
   };
   char *components_labels[] = {
      "degrees of freedom for A", "sum of squares for A", 
      "mean square of A", "F-statistic for A", "p-value for A",
      "Estimate of A", "Percent Variation Explained by A",
      "95% Confidence Interval Lower Limit for A",
      "95% Confidence Interval Upper Limit for A",
      "degrees of freedom for B", "sum of squares for B",
      "mean square of B", "F-statistic for B", "p-value for B",
      "Estimate of B", "Percent Variation Explained by B",
      "95% Confidence Interval Lower Limit for B",
      "95% Confidence Interval Upper Limit for B",
      "degrees of freedom for Error", "sum of squares for Error",
      "mean square of Error", "F-statistic for Error", 
      "p-value for Error",  "Estimate of Error", 
      "Percent Explained by Error",
      "95% Confidence Interval Lower Limit for Error",
      "95% Confidence Interval Upper Limit for Error"
   };                

   pvalue = imsls_f_anova_nested(3, 1, n_levels, y, 
      IMSLS_ANOVA_TABLE, &aov,
      IMSLS_Y_MEANS, &ymeans,
      IMSLS_VARIANCE_COMPONENTS, &varc,
      IMSLS_EMS, &ems,
      0);

<<<<<<< .mine
   printf("pvalue = %f\n", pvalue); 
   imsls_f_write_matrix("* * * Analysis of Variance * * *", 15, 1, aov, 
      IMSLS_ROW_LABELS, aov_labels,
      IMSLS_WRITE_FORMAT, "%11.4g",
      0);
   imsls_f_write_matrix(
      "* * * Expected Mean Square Coefficients * * *", 
      6, 1, ems,
      IMSLS_ROW_LABELS, ems_labels,  
      IMSLS_WRITE_FORMAT, "%6.2f", 
      0);
   imsls_f_write_matrix("* * * Means * * *", 17, 1, ymeans,  
      IMSLS_ROW_LABELS, means_labels,
      IMSLS_WRITE_FORMAT, "%6.2f",
      0);
   imsls_f_write_matrix(
      "* * Analysis of Variance / Variance Components * *",
      27, 1, varc,
      IMSLS_ROW_LABELS, components_labels,
      IMSLS_WRITE_FORMAT, "%11.4g",
      0);
}
=======
   printf("pvalue = %f\n", pvalue); 
   imsls_f_write_matrix("* * * Analysis of Variance * * *", 15, 1, aov, 
      IMSLS_ROW_LABELS, aov_labels,
      IMSLS_WRITE_FORMAT, "%11.4g",
      0);
   imsls_f_write_matrix(
      "* * * Expected Mean Square Coefficients * * *", 
      6, 1, ems,
      IMSLS_ROW_LABELS, ems_labels,  
      IMSLS_WRITE_FORMAT, "%6.2f", 
      0);
   imsls_f_write_matrix("* * * Means * * *", 17, 1, ymeans,  
      IMSLS_ROW_LABELS, means_labels,
      IMSLS_WRITE_FORMAT, "%6.2f",
      0);
   imsls_f_write_matrix(
      "* * Analysis of Variance / Variance Components * *",
      27, 1, varc,
      IMSLS_ROW_LABELS, components_labels,
      IMSLS_WRITE_FORMAT, "%11.4g",
      0);
}>>>>>>> .r27717
